<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE xsl:stylesheet [

<!ENTITY space '<xsl:text xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> </xsl:text>'>
<!ENTITY cr '<xsl:text xmlns:xsl="http://www.w3.org/1999/XSL/Transform">&#x0a;</xsl:text>'>
<!ENTITY tab '<xsl:text xmlns:xsl="http://www.w3.org/1999/XSL/Transform">&#x09;</xsl:text>'>

<!ENTITY % CommonDTD SYSTEM "common.dtd">
%CommonDTD;

]>

<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:lxslt="http://xml.apache.org/xslt"
    xmlns:exslt="http://exslt.org/common"
    xmlns:x="http://xml.usagiyojimbo.com/x/"
    xmlns:date="http://exslt.org/dates-and-times"
        extension-element-prefixes="exslt date"
>
<xsl:import href="page2html.xsl" />

<xsl:variable name="uylogo">
    <xsl:call-template name="insert-img">
        <xsl:with-param name="src">$TOP/images/uylogo.gif</xsl:with-param>
    </xsl:call-template>
</xsl:variable>
<xsl:variable name="common-footer">
    <xsl:call-template name="include">
	<xsl:with-param name="file">journal/common.xml</xsl:with-param>
	<xsl:with-param name="key">links</xsl:with-param>
    </xsl:call-template>
</xsl:variable>

<xsl:template match="uylogo">
    <xsl:param name="char"/>
    
    <xsl:copy-of select="$uylogo"/>
</xsl:template>

<xsl:template match="x:define">
    <!-- do nothin -->
</xsl:template>

<xsl:template name="inter-links">
    <xsl:param name="prev"/>
    <xsl:param name="next"/>

    <table border="0" width="100%">
      <tr>
	<td width="45%" align="right">
	    <xsl:if test="$prev != ''">
		<xsl:copy-of select="$prev"/>
	    </xsl:if>
	</td>
	<td width="5%" align="left">
	    <xsl:if test="$prev != ''">
		<xsl:text>&lt;--</xsl:text>
	    </xsl:if>
	    <xsl:if test="$prev = ''">
		<xsl:text>&nbsp;</xsl:text>
	    </xsl:if>
	</td>
	<td width="5%" align="right">
	    <xsl:if test="$next != ''">
		<xsl:text>--&gt;</xsl:text>
	    </xsl:if>
	    <xsl:if test="$next = ''">
		<xsl:text>&nbsp;</xsl:text>
	    </xsl:if>
	</td>
	<td width="45%" align="left">
	    <xsl:if test="$next != ''">
		<xsl:copy-of select="$next"/>
	    </xsl:if>
	</td>
      </tr>
    </table>
</xsl:template>
    
</xsl:stylesheet>
