<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE stylesheet [

<!ENTITY space '<xsl:text xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> </xsl:text>'>
<!ENTITY cr '<xsl:text xmlns:xsl="http://www.w3.org/1999/XSL/Transform">&#x0a;</xsl:text>'>
<!ENTITY tab '<xsl:text xmlns:xsl="http://www.w3.org/1999/XSL/Transform">&#x09;</xsl:text>'>
<!ENTITY new-image '<img border="0" src="{concat($top,&quot;images/new2.gif&quot;)}"/>'>

<!ENTITY % CommonDTD SYSTEM "common.dtd">
%CommonDTD;

]>

<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:lxslt="http://xml.apache.org/xslt"
    xmlns:exsl="http://exslt.org/common"
    xmlns:date="http://exslt.org/dates-and-times"
    xmlns:func="http://exslt.org/functions"
        extension-element-prefixes="exsl date func"
        exclude-result-prefixes="exsl date func svg my"
    xmlns:my="my://own.uri"
    xmlns:svg="http://www.w3.org/2000/svg"
    xmlns:x="http://xml.usagiyojimbo.com/x/"
>
<!-- <xsl:import href="date.xsl" />
-->
<xsl:import href="image-common.xsl" />

<func:function name="my:lookup-image-info">
    <xsl:param name="key"/>

    <xsl:variable name="result">
	<xsl:for-each select="$imginfo">
	    <xsl:copy-of select="key('imgInfoKey', $key)"/>
	</xsl:for-each>
    </xsl:variable>

    <func:result select="exsl:node-set ($result)/image"/>
</func:function>

<xsl:template match="/">
    <xsl:copy-of select="my:lookup-image-info('animation/jei-ani.gif')"/>
</xsl:template>

</xsl:stylesheet>
